Cloud
Cloud-Dienstleistung für schnelle und effektive Analyse und Visualisierung von Daten für Ihr Business ohne eigene Applikationen zu erstellen oder zu programmieren.
<script setup lang="ts">
import { Viewer, Stimulsoft } from 'stimulsoft-reports-js-vuejs/viewer';
var report = new Stimulsoft.Report.StiReport();
report.loadFile("Reports/SimpleList.mrt");
var viewerOptions = new Stimulsoft.Viewer.StiViewerOptions();
viewerOptions.toolbar.visible = false;
</script>
<template>
<Viewer :report="report" :options="viewerOptions" />
</template>StiViewerOptions object; setting toolbar.visible = false gives a clean, read-only preview.

Reports.JS ships ready-made components for Angular and Vue, so the viewer is used as a framework element.

Viewer setup. Configure the viewer, load the report, assign it to the component, and process the requests or events raised by the UI.
@Component({
    selector: "viewer-without-toolbar",
    imports: [Viewer],
    template: `<sti-viewer [report]="report" [options]="viewerOptions"></sti-viewer>`
})
export class ViewerWithoutToolbar {
    report = new Stimulsoft.Report.StiReport();
    viewerOptions = new Stimulsoft.Viewer.StiViewerOptions();
    constructor() {
        this.report.loadFile("Reports/SimpleList.mrt");
        this.viewerOptions.toolbar.visible = false;
    }
}

The component takes the report and a StiViewerOptions object; setting toolbar.visible = false gives a clean, read-only preview.

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.